> For the complete documentation index, see [llms.txt](https://docs.nexstudios.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexstudios.org/lobby-plus-setup/server-selector-editing.md).

# Server Selector Editing

We've dedicated an entire section to help you with selecting which server selector NPCs you need to use and how to edit the server selector GUI.

## Changing Holograms

Need to change any NPC holograms? No problem. Simply go to the `plugins/DecentHolograms/holograms` folder, find the hologram you wish to change, then type **/dh reload**.

## Removing NPCs

To remove a server NPC that you do not need, simply walk up to it, look at it, and type `/npc sel`. Then, ensuring the correct NPC is selected (read chat), type `/npc remove`. You can then type `/dh remove <name>` to remove the corresponding hologram.

## Editing Server Selector GUI

To edit the server selector GUI, open the `plugins/DeluxeHub/menus/serverselector.yml` file.\
\
You'll see all of the GUI items in this file, simply remove an entire section to remove it from the GUI. You may want to adjust the slots (slot: \<number>) for other items in the GUI to make them evenly distributed.\
\
Here is an example of the section of code you would delete to remove the "Gens" item from the server selector GUI.

```yaml
gens:
  material: HAY_BLOCK
  slot: 25
  amount: 1
  glow: false
  display_name: '&#D641FF&lɢᴇɴѕ ѕᴇʀᴠᴇʀ &7- %bungee_gens% ᴏɴʟɪɴᴇ'
  lore:
    - '&8ѕᴇʀᴠᴇʀ ѕᴇʟᴇᴄᴛᴏʀ'
    - '&r'
    - '&fᴀ ᴄᴜѕᴛᴏᴍ ɢᴇɴᴇʀᴀᴛᴏʀ ʙᴀѕᴇᴅ ɢᴀᴍᴇᴍᴏᴅᴇ!'
    - '&fᴜɴʟᴏᴄᴋ ʙɪɢɢᴇʀ ᴀɴᴅ ʙᴇᴛᴛᴇʀ ɢᴇɴᴇʀᴀᴛᴏʀѕ'
    - '&fᴛᴏ ᴇᴀʀɴ ʜᴜɢᴇ ѕᴜᴍѕ ᴏꜰ ᴍᴏɴᴇʏ!'
    - ''
    - '&#D641FF ▬ &fᴠᴇʀѕɪᴏɴѕ ѕᴜᴘᴘᴏʀᴛᴇᴅ: &#D641FF1.20+'
    - '&#D641FF ▬ &fѕᴇʀᴠᴇʀ ѕᴛᴀᴛᴜѕ: %pinger_isonline_127.0.0.1:25599% &#D641FF▬'
    - ''
    - '&a→ &lᴄʟɪᴄᴋ &r&aᴛᴏ ᴄᴏɴɴᴇᴄᴛ'
  actions:
    - '[CLOSE]'
    - '[MESSAGE] &#5AD9D3&lʟ&#6FE0DE&lᴏ&#84E6E8&lʙ&#98EDF3&lʙ&#ADF3FD&lʏ&r &8➠ &7ѕᴇɴᴅɪɴɢ ʏᴏᴜ ᴛᴏ &#5AD9D3ɢᴇɴѕ'
    - '[BUNGEE] gens'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexstudios.org/lobby-plus-setup/server-selector-editing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
